root/trunk/update-doc

Revision 2283, 0.7 KB (checked in by hollow, 4 years ago)

skip duplicate util-vserver dir

  • Property svn:eol-style set to native
  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
Line 
1#! /bin/sh
2
3test -n "$1" || {
4    echo "No target directory given; aborting...">&2
5    exit 1
6}
7
8test -d "$1"/CVS || {
9    echo "Target directory does not seem to be CVS managed; aborting..." >&2
10    exit 1
11}
12
13tmp=$(mktemp -d /tmp/uv.XXXXXX)/doc || exit 1
14trap "rm -rf $tmp" EXIT
15
16mkdir -p "$tmp"/{apidoc/html,conf}
17install -p -m644 doc/*.css doc/*.html             "$tmp"/conf/
18install -p -m644 lib/apidoc/latex/refman.pdf      "$tmp"/apidoc/refman.pdf
19install -p -m644 lib/apidoc/html/*.{css,html,png} "$tmp"/apidoc/html/
20
21rsync -av --delete --exclude=lt2004 --exclude=virtual-servers.pdf --exclude=css \
22      --exclude=img --exclude=CVS --exclude=.symlinks --exclude=.htaccess "$tmp"/ "$1"/
Note: See TracBrowser for help on using the browser.